Name: task-sound-studio
Version: 0.3
Release: %mkrel 7
Summary: Meta package for Sound Studio and Music Production
Group: Sound
License: GPLv2+

## Packages organized by groups and divided in Suggests and Requires
####################################################################

# Jack engine-related
Requires: jackit
Requires: jackit-example-clients
Requires: laditools
Requires: qjackctl
Suggests: ladish
Suggests: ac3jack
Suggests: ffado

# Bridges to other sound systems
Requires: tritonus-fluidsynth
Requires: jackasyn
Suggests: bse-alsa

# Basic MIDI utilities
Suggests: a2jmidid
Suggests: vmpk
Suggests: qmidiroute
Suggests: qmidiarp

# Soundfont-related
Requires: fluid-soundfont-common
Requires: fluid-soundfont-gm
Requires: fluid-soundfont-gs
Requires: soundfont-utils
Suggests: swami
Requires: timidity-patch-gravis
Requires: timidity-patch-freepats
Requires: TiMidity++
Suggests: TiMidity++-interfaces-extra

# Score and tablature editors
Requires: lilypond
Suggests: nted
Suggests: ktabedit
Suggests: mscore

# Ladspa system and effect plugins
Requires: ladspa
Requires: ladspa-quitte-dsp
Requires: mcp-plugins
Requires: pvc
Requires: pvoc
Requires: rev-plugins
Requires: swh-plugins
Requires: tap-plugins
Requires: cmt
Requires: blop
Requires: caps

# LV2 system and plugins
Requires: lv2core
Requires: slv2
Requires: swh-lv2
Requires: ll-plugins
Requires: calf
Requires: ll-plugins-gui
Requires: invada-studio-plugins-lv2
Requires: foo-yc20

# DSSI system and synth plugins
Requires: dssi
Requires: fluidsynth-dssi
Requires: hexter
Requires: nekobee
Requires: whysynth
Requires: wsynth-dssi
Requires: xsynth-dssi

# Standalone Synths
Requires: fluidsynth
Suggests: yoshimi
Suggests: qsynth
Suggests: ams
Suggests: amsynth
Suggests: phasex
Suggests: bristol
Suggests: bristol-arp2600
Suggests: bristol-axxe
Suggests: bristol-b3
Suggests: bristol-dx
Suggests: bristol-explorer
Suggests: bristol-juno
Suggests: bristol-memory
Suggests: bristol-mini
Suggests: bristol-mono
Suggests: bristol-obx
Suggests: bristol-obxa
Suggests: bristol-odyssey
Suggests: bristol-poly800
Suggests: bristol-prophet
Suggests: bristol-rhodes
Suggests: bristol-rhodesbass
Suggests: bristol-roadrunner
Suggests: bristol-solina
Suggests: bristol-vox
Suggests: qsampler

# Simple audio recorders and players
Suggests: jack_capture
Suggests: timemachine
Suggests: qarecord
Suggests: uade
Suggests: upse
Suggests: xmp

# DAW - SAW and sequencers
Suggests: ardour
Suggests: audacity
Suggests: dino
Suggests: jokosher
Suggests: lmms
Suggests: qtractor
Suggests: rezound
Suggests: rosegarden
Suggests: seq24
Suggests: jackbeat
Suggests: beast
Suggests: kmid2

# Effect racks
Suggests: jack-rack
Suggests: zynjacku
Suggests: ecamegapedal
Suggests: gnuitar
Suggests: guitarix
Suggests: jcgui
Suggests: jconvolver
Suggests: rakarrack
Suggests: tuxguitar
Suggests: jackeq
Suggests: zita-rev1

# Drum machines, live audio tools
Suggests: hydrogen
Suggests: mixxx
Suggests: terminatorx
Suggests: sooperlooper

# Audio developpers
Suggests: faust
Suggests: pd
Suggests: drumstick

# KernelRT
Suggests: kernel-rt-latest
Suggests: kernel-rt-devel-latest
Suggests: rtirq

# Media players
Suggests: xine-jack
Suggests: mplayer
Suggests: vlc-plugin-jack
Suggests: gstreamer0.10-plugins-good

# Desktop-specific configuration files
Suggests: lilypond-kde4

#########################################################

BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

%description
This package is a meta-package which installs everything
needed to have a complete sound creation and processing studio.
- Mandriva for Digital Audio Workstations -


%files


%changelog
* Wed Apr 20 2011 Frank Kober <emuse@mandriva.org> 0.3-7mdv2011.0
+ Revision: 656130
- some updates for new programs

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3-6mdv2011.0
+ Revision: 615114
- the mass rebuild of 2010.1 packages

* Wed May 12 2010 Frank Kober <emuse@mandriva.org> 0.3-5mdv2010.1
+ Revision: 544603
- bump release
- correct typo jc_gui to gcgui

* Wed Apr 14 2010 Frank Kober <emuse@mandriva.org> 0.3-4mdv2010.1
+ Revision: 534663
- bump release
- fix another typo

* Tue Apr 13 2010 Frank Kober <emuse@mandriva.org> 0.3-3mdv2010.1
+ Revision: 534612
- bump release
- align bristol pkg list to new version
- more typos, move some pkgs to suggests
- fix typo, more reordering
- completions, streamlining, reordering

* Wed Apr 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 0.3-2mdv2010.1
+ Revision: 532843
- Typo fix

* Wed Apr 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 0.3-1mdv2010.1
+ Revision: 532631
- Fix typo, correct description, Suggest mplayer instead of requiring it
- split package choice into two groups
    o based on requires
    o all gui softwares are suggested
- suggests Jack Family
- suggests more Audio plugins
- suggests some additionals Audio softwares
- adjust MAO modifications (above) to:
    o remove duplicates
    o ilter by alphabetical order
    o prune players from sound system
    o prune desktop-specific modifications

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.2-3mdv2010.0
+ Revision: 445366
- rebuild

* Wed Mar 11 2009 Emmanuel Andry <eandry@mandriva.org> 0.2-2mdv2009.1
+ Revision: 353830
- suggests rakarrack

* Tue Feb 24 2009 Emmanuel Andry <eandry@mandriva.org> 0.2-1mdv2009.1
+ Revision: 344453
- New version 0.2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - suggests lmms, pd and ladspa

* Fri Jan 23 2009 Emmanuel Andry <eandry@mandriva.org> 0.1-1mdv2009.1
+ Revision: 332797
- import task-sound-studio


